CreateCallList

View as Markdown
Adds a new CSV file for call list processing and starts the specified rule immediately. To send a file, use the request body. To set the call time constraints, use the following options in a CSV file: <ul><li>**__start_execution_time** – when the call list processing starts every day, UTC+0 24-h format: HH:mm:ss</li><li>**__end_execution_time** – when the call list processing stops every day, UTC+0 24-h format: HH:mm:ss</li><li>**__start_at** – when the call list processing starts, UNIX timestamp. If not specified, the processing starts immediately after a method call</li><li>**__task_uuid** – call list UUID. A string up to 40 characters, can contain latin letters, digits, hyphens (-) and colons (:). Unique within the call list</li></ul> This method accepts CSV files with custom delimiters, such a commas (,), semicolons (;) and other. To specify a delimiter, pass it to the **delimiter** parameter. **IMPORTANT:** the account's balance should be equal or greater than 1 USD. If the balance is lower than 1 USD, the call list processing does not start, or it stops immediately if it is active. Allowed roles: `Owner`, `Admin`, `Developer`, `Call list manager`.

Authentication

AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

Query parameters

rule_idintegerRequired

Rule ID. It is specified in the Applications section of the Control Panel

priorityintegerRequired

Call list priority. The value is in the range of [0 … 2^31] where zero is the highest priority

max_simultaneousintegerRequired
Number of simultaneously processed tasks
num_attemptsintegerRequired

Number of attempts. Minimum is 1, maximum is 5

namestringRequired

File name, up to 255 characters and cannot contain the ’/’ and ” symbols

interval_secondsintegerOptional
Interval between call attempts in seconds. The default value is 0
encodingstringOptional

Encoding file. The default value is UTF-8

delimiterstringOptional

Separator values. The default value is ’;’

escapestringOptional
Escape character for parsing csv
reference_ipstringOptional
IP from the geolocation of the call list subscribers. It allows selecting the nearest server for serving subscribers
server_locationstringOptional
Location of the server where the scenario needs to be executed. Has higher priority than `reference_ip`. Request [getServerLocations](https://api.voximplant.com/getServerLocations) for possible values
task_priority_strategystringOptional

Optional. Whether to prioritize first calling attempts or repeated ones. The possible values are: first_attempts, repeated_attempts. The default values is first_attempts.

Request

This endpoint expects a multipart form containing a file.
file_contentfileRequired

Send as the “body” part of the HTTP request or as multiform. The sending “file_content” via URL is at its own risk because the network devices tend to drop HTTP requests with large headers

Response

Successful response
resultboolean
Whether the request completed successfully
countinteger
Number of stored records
list_idinteger
List ID
batch_idstring
Batch UUID